-# WAIT! Before adding more items to the nav bar, please see
-# https://gitlab.com/gitlab-org/gitlab-ce/issues/49713 for more information.
%ul.list-unstyled.navbar-sub-nav
  - if dashboard_nav_link?(:projects)
    = nav_link(path: ['root#index', 'projects#trending', 'projects#starred', 'dashboard/projects#index'], html_options: { id: 'nav-projects-dropdown', class: "home dropdown header-projects qa-projects-dropdown", data: { track_label: "projects_dropdown", track_event: "click_dropdown" } }) do
      %button.btn{ type: 'button', data: { toggle: "dropdown" } }
        = _('Projects')
        = sprite_icon('angle-down', css_class: 'caret-down')
      .dropdown-menu.frequent-items-dropdown-menu
        = render "layouts/nav/projects_dropdown/show"

  - if dashboard_nav_link?(:groups)
    = nav_link(controller: ['dashboard/groups', 'explore/groups'], html_options: { id: 'nav-groups-dropdown', class: "home dropdown header-groups qa-groups-dropdown", data: { track_label: "groups_dropdown", track_event: "click_dropdown" } }) do
      %button.btn{ type: 'button', data: { toggle: "dropdown" } }
        = _('Groups')
        = sprite_icon('angle-down', css_class: 'caret-down')
      .dropdown-menu.frequent-items-dropdown-menu
        = render "layouts/nav/groups_dropdown/show"

  - if dashboard_nav_link?(:activity)
    = nav_link(path: 'dashboard#activity', html_options: { class: ["d-none d-xl-block", ("d-lg-block" unless has_extra_nav_icons?)] }) do
      = link_to activity_dashboard_path, class: 'dashboard-shortcuts-activity', title: _('Activity') do
        = _('Activity')

  - if dashboard_nav_link?(:milestones)
    = nav_link(controller: 'dashboard/milestones', html_options: { class: ["d-none d-xl-block", ("d-lg-block" unless has_extra_nav_icons?)] }) do
      = link_to dashboard_milestones_path, class: 'dashboard-shortcuts-milestones', title: _('Milestones') do
        = _('Milestones')

  - if dashboard_nav_link?(:snippets)
    = nav_link(controller: 'dashboard/snippets', html_options: { class: ["d-none d-xl-block", ("d-lg-block" unless has_extra_nav_icons?)] }) do
      = link_to dashboard_snippets_path, class: 'dashboard-shortcuts-snippets qa-snippets-link', title: _('Snippets') do
        = _('Snippets')

  - if any_dashboard_nav_link?([:groups, :milestones, :activity, :snippets])
    %li.header-more.dropdown.d-xl-none{ class: ('d-lg-none' unless has_extra_nav_icons?) }
      %a{ href: "#", data: { toggle: "dropdown" } }
        = _('More')
        = sprite_icon('angle-down', css_class: 'caret-down')
      .dropdown-menu
        %ul
          - if dashboard_nav_link?(:activity)
            = nav_link(path: 'dashboard#activity') do
              = link_to activity_dashboard_path, title: _('Activity') do
                = _('Activity')

          - if dashboard_nav_link?(:milestones)
            = nav_link(controller: 'dashboard/milestones') do
              = link_to dashboard_milestones_path, class: 'dashboard-shortcuts-milestones', title: _('Milestones') do
                = _('Milestones')

          - if dashboard_nav_link?(:snippets)
            = nav_link(controller: 'dashboard/snippets') do
              = link_to dashboard_snippets_path, class: 'dashboard-shortcuts-snippets', title: _('Snippets') do
                = _('Snippets')

          = render_if_exists 'dashboard/operations/nav_link'
          - if can?(current_user, :read_instance_statistics)
            = nav_link(controller: [:conversational_development_index, :cohorts]) do
              = link_to instance_statistics_root_path, title: _('Instance Statistics'), aria: { label: _('Instance Statistics') }, data: {toggle: 'tooltip', placement: 'bottom', container: 'body'} do
                = _('Instance Statistics')
          - if current_user.admin?
            = nav_link(controller: 'admin/dashboard') do
              = link_to admin_root_path, class: 'admin-icon qa-admin-area-link', title: _('Admin Area'), aria: { label: _('Admin Area') }, data: {toggle: 'tooltip', placement: 'bottom', container: 'body'} do
                = _('Admin Area')
          - if Gitlab::Sherlock.enabled?
            %li
              = link_to sherlock_transactions_path, class: 'admin-icon', title: _('Sherlock Transactions'),
                data: {toggle: 'tooltip', placement: 'bottom', container: 'body'} do
                = _('Sherlock Transactions')

  -# Shortcut to Dashboard > Projects
  - if dashboard_nav_link?(:projects)
    %li.hidden
      = link_to dashboard_projects_path, title: _('Projects'), class: 'dashboard-shortcuts-projects' do
        = _('Projects')

  - if current_controller?('ide')
    %li.line-separator.d-none.d-sm-block
      = nav_link(controller: 'ide') do
        = link_to '#', class: 'dashboard-shortcuts-web-ide', title: _('Web IDE') do
          = _('Web IDE')

  = render_if_exists 'dashboard/operations/nav_link'
  - if can?(current_user, :read_instance_statistics)
    = nav_link(controller: [:conversational_development_index, :cohorts], html_options: { class: "d-none d-lg-block d-xl-block"}) do
      = link_to instance_statistics_root_path, title: _('Instance Statistics'), aria: { label: _('Instance Statistics') }, data: {toggle: 'tooltip', placement: 'bottom', container: 'body'} do
        = sprite_icon('chart', size: 18)
  - if current_user.admin?
    = nav_link(controller: 'admin/dashboard', html_options: { class: "d-none d-lg-block d-xl-block"}) do
      = link_to admin_root_path, class: 'admin-icon qa-admin-area-link', title: _('Admin Area'), aria: { label: _('Admin Area') }, data: {toggle: 'tooltip', placement: 'bottom', container: 'body'} do
        = sprite_icon('admin', size: 18)
  - if Gitlab::Sherlock.enabled?
    %li
      = link_to sherlock_transactions_path, class: 'admin-icon d-none d-lg-block d-xl-block', title: _('Sherlock Transactions'),
        data: {toggle: 'tooltip', placement: 'bottom', container: 'body'} do
        = icon('tachometer fw')
  - if Gitlab::Geo.secondary? && Gitlab::Geo.primary_node_configured?
    %li
      = link_to Gitlab::Geo.primary_node.url, title: 'Go to primary node', data: {toggle: 'tooltip', placement: 'bottom', container: 'body'} do
        = sprite_icon('location-dot', size: 18)
